For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETGet list of payslips for an EOR employee
      • PATCHModify bank account for an EOR employee
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsDeel as Aservice

Modify bank account for an EOR employee

PATCH
/daas/banks/:bank_id
PATCH
/rest/v2/daas/banks/:bank_id
$curl -X PATCH https://api.letsdeel.com/rest/v2/daas/banks/dcc7b587-2246-4909-853e-12056e90c451 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": [
> {
> "key": "beneficiaryName",
> "value": "John Doe"
> }
> ]
>}'
1{
2 "data": {
3 "id": "dcc7b587-2246-4909-853e-12056e90c451",
4 "status": "pending",
5 "created_at": "2022-05-24T09:38:46.235Z",
6 "updated_at": "2022-05-24T09:38:46.235Z"
7 }
8}

Applies a partial update to the bank account details for an EOR employee. The request body accepts an array of field-level updates. Token scopes: worker:write

Was this page helpful?
Previous

Employee additional info template

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

bank_idstringRequiredformat: "uuid"
Unique identifier for a bank in UUID format.

Request

Bank Account object that needs to be modified
datalist of objectsRequired
Array of key value properties of bank account

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication